//Faire varier un signal sonore en fonction d'un flexomètre

//Déclare les pins
int speaker = 11;
int flexo = A0;

//Déclare les variables
int flexoValeur;
int flexoValeurMap;

void setup() {
//Déclare l'état des pins
pinMode(speaker, OUTPUT);
pinMode(flexo, INPUT);
//Déclare le mode de comunication
Serial.begin(9600);
}

void loop() {
//Lit la valeur analogue du capteur
flexoValeur = analogRead(flexo);

//Map la valeur du flexomètre pour l'appliquer au speaker
flexoValeurMap = map(flexoValeur, 0, 1024, 0, 255);

//Affiche les valeurs dans le serial moniteur
Serial.print("flexoValeur =");
Serial.print(flexoValeur);
Serial.print("\t");
Serial.print("flexoValeurMap =");
Serial.println(flexoValeurMap);

//Fait fluctuer le son en correspondance avec la valeur du flexomètre
analogWrite(speaker,flexoValeurMap);

//temps de respiration du code
delay(10);
}
